Bug 217039 - libvir does not support NAT configuration
libvir does not support NAT configuration
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 06:31 EST by Tomas Kouba
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: libvirt-0.1.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 09:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Kouba 2006-11-23 06:31:24 EST
Description of problem:
The libvir does not support NATed networks of domU (when xend uses vif-nat and
network-nat scripts).


Version-Release number of selected component (if applicable):
libvirt-0.1.7-2

How reproducible:
Try 'virsh dumpxml' when xend uses vif-nat and a domU is started.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Unimplemented block at xend_internal.c:1667
> <domain type='xen' id='1'>
>   <name>ce</name>
>   <uuid>400be3cf7cedc1d388de8796a85daff1</uuid>
>   <os>
>     <type>linux</type>
>     <kernel>/boot/vmlinuz-2.6.18-prep</kernel>
>     <initrd>/boot/initrd-2.6.18-prep.img</initrd>
>     <root>/dev/sda1</root>
>     <cmdline>fastboot ro root=/dev/sda1</cmdline>
>   </os>
>   <memory>131072</memory>
>   <vcpu>1</vcpu>
>   <on_poweroff>destroy</on_poweroff>
>   <on_reboot>restart</on_reboot>
>   <on_crash>restart</on_crash>
>   <devices>
> <!-- Failed to parse vif: (device (vif (backend 0) (script vif-nat) (ip 
> 10.0.9.1/24) (mac 00:16:3E:47:A1:09) (vifname cevif))) -->
>     <console tty='/dev/pts/2'/>
>   </devices>
> </domain>

Expected results:
Parsed XML without errors.

Additional info:
Comment 1 Daniel Berrange 2006-11-23 09:59:20 EST
Fix for this is in latest upstream CVS repo


Tue Nov 14 18:42:01 EST 2006 Daniel Berrange <berrange@redhat.com>

        * src/xend_internal.c: Added support for parsing non-bridge style
        networking configs for guests.
        * src/xml.c: Ensure the <ip address> element gets serialized to
        the SEXPR for non-bridged networks.
        * tests/xml2sexprtest.c, tests/sexpr2xmltest.c: Added new tests
        covering different networking configs
        * tests/xml2sexprdata/, tests/sexpr2xmldata/: Added more data
        files for new test cases

We need to push an errata with the fix to FC6/5.

Comment 2 Daniel Veillard 2006-11-23 13:21:36 EST
Will do when I make a new libvirt release,

Daniel
Comment 3 Daniel Veillard 2007-03-27 09:57:06 EDT
We fixed that a long time ago, so closing,

Daniel

Note You need to log in before you can comment on or make changes to this bug.